diff -uNrd ircd-hybrid-6.4.1/include/m_info.h ircd-hyb6.4.1-FDFr5.4/include/m_info.h
--- ircd-hybrid-6.4.1/include/m_info.h	Sat Aug 16 15:58:33 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/m_info.h	Sun Nov 16 16:19:18 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: m_info.h,v 1.30 2003/08/16 19:58:33 ievil Exp $
+ * $Id: m_info.h,v 1.8 2003/10/10 04:45:49 jailbird Exp $
  */
 #ifndef INCLUDED_m_info_h
 #define INCLUDED_m_info_h
@@ -87,11 +87,7 @@
   { "B_LINES_OPER_ONLY", "OFF", 0, "Allow only Operators to use STATS B" },
 #endif /* B_LINES_OPER_ONLY */
 
-#ifdef BAN_INFO
   { "BAN_INFO", "ON", 0, "Displays who set a ban and when" },
-#else
-  { "BAN_INFO", "OFF", 0, "Displays who set a ban and when" },
-#endif /* BAN_INFO */
 
   { "BUFFERPOOL", "", BUFFERPOOL, "Maximum size of all SendQs" },
 
@@ -143,11 +139,7 @@
   { "CRYPT_LINK_PASSWORD", "OFF", 0, "Encrypt Server Passwords" },
 #endif /* CRYPT_LINK_PASSWORD */
 
-#ifdef CUSTOM_ERR
   { "CUSTOM_ERR", "ON", 0, "Customized error messages" },
-#else
-  { "CUSTOM_ERR", "OFF", 0, "Customized error messages" },
-#endif /* CUSTOM_ERR */
 
 #ifdef DEBUGMODE
   { "DEBUGMODE", "ON", 0, "Debugging Mode" },
@@ -166,11 +158,7 @@
   { "DEFAULT_SERVER_SPLIT_RECOVERY_TIME", "NONE", 0, "Time to Delay Split Status After Resynch" },
 #endif /* DEFAULT_SERVER_SPLIT_RECOVERY_TIME */
 
-#ifdef DO_IDENTD
   { "DO_IDENTD", "ON", 0, "Perform identd checks" },
-#else
-  { "DO_IDENTD", "OFF", 0, "Perform identd checks" },
-#endif /* DO_IDENTD */
 
 #ifdef DPATH
   { "DPATH", DPATH, 0, "Directory Containing Configuration Files" },
@@ -244,11 +232,7 @@
   { "GLINE_TIME", "NONE", 0, "Expire Time for Glines" },
 #endif /* GLINE_TIME */
 
-#ifdef GLINE_REASON_FIRST
-  { "GLINE_REASON_FIRST", "ON", 0, "Use the first GLINE reason as trigger reason" },
-#else
   { "GLINE_REASON_FIRST", "OFF", 0, "Use the first GLINE reason as trigger reason" },
-#endif /* GLINE_REASON_FIRST */
 
 #ifdef GLINEFILE
   { "GLINEFILE", GLINEFILE, 0, "Path to G-line File" },
@@ -256,11 +240,7 @@
   { "GLINEFILE", "NONE", 0, "Path to G-line File" },
 #endif /* GLINEFILE */
 
-#ifdef GLINES
   { "GLINES", "ON", 0, "Network wide K-lines" },
-#else
-  { "GLINES", "OFF", 0, "Network wide K-lines" },
-#endif /* GLINES */
 
   { "HARD_FDLIMIT_", "", HARD_FDLIMIT_, "Maximum Number of File Descriptors Available" },
 
@@ -330,11 +310,7 @@
   { "IDLE_FROM_MSG", "OFF", 0, "Reset idle time after a PRIVMSG" },
 #endif /* IDLE_FROM_MSG */
 
-#ifdef IGNORE_BOGUS_TS
-  { "IGNORE_BOGUS_TS", "ON", 0, "Ignore Bogus TimeStamps from Other Servers" },
-#else
   { "IGNORE_BOGUS_TS", "OFF", 0, "Ignore Bogus TimeStamps from Other Servers" },
-#endif /* IGNORE_BOGUS_TS */
 
   { "INIT_MAXCLIENTS", "", INIT_MAXCLIENTS, "Maximum Clients" },
   { "INITIAL_DBUFS", "", INITIAL_DBUFS, "Number of Dbufs to PreAllocate" },
@@ -458,11 +434,7 @@
   { "NO_DEFAULT_INVISIBLE", "OFF", 0, "Do not Give Clients +i Mode Upon Connection" },
 #endif /* NO_DEFAULT_INVISIBLE */
 
-#ifdef NO_FAKE_GLINES
-  { "NO_FAKE_GLINES", "ON", 0, "Do not allow GLINES from users that do not exist" },
-#else
   { "NO_FAKE_GLINES", "OFF", 0, "Do not allow GLINES from users that do not exist" },
-#endif /* NO_FAKE_GLINES */
 
 #ifdef NO_CREATE_ON_SPLIT
   { "NO_CREATE_ON_SPLIT", "ON", 0, "Users Cannot Create Channels During a NetSplit" },
@@ -689,11 +661,7 @@
 
   { "TIMESEC", "", TIMESEC, "Time Interval to Wait Before Checking Pings" },
 
-#ifdef TOPIC_INFO
   { "TOPIC_INFO", "ON", 0, "Show Who Set a Topic and When" },
-#else
-  { "TOPIC_INFO", "OFF", 0, "Show Who Set a Topic and When" },
-#endif /* TOPIC_INFO */
 
 #ifdef TRUE_NO_OPER_FLOOD
   { "TRUE_NO_OPER_FLOOD", "ON", 0, "Completely Disable Flood Control for Operators" },
@@ -704,17 +672,8 @@
   { "TS_MAX_DELTA", "", TS_MAX_DELTA, "Maximum Allowed TS Delta from another Server" },
   { "TS_WARN_DELTA", "", TS_WARN_DELTA, "Maximum TS Delta before Sending Warning" },
 
-#ifdef TS5
   { "TS5", "ON", 0, "Impossible to gain ops after a netsplit" },
-#else
-  { "TS5", "OFF", 0, "Impossible to gain ops after a netsplit" },
-#endif /* TS5 */
-
-#ifdef TS5_ONLY
   { "TS5_ONLY", "ON", 0, "Only permit TS5 servers to directly link" },
-#else
-  { "TS5_ONLY", "OFF", 0, "Only permit TS5 servers to directly link" },
-#endif /* TS5_ONLY */
 
 #ifdef U_LINES_OPER_ONLY
   { "U_LINES_OPER_ONLY", "ON", 0, "Only allow Operators to use STATS U" },
@@ -740,11 +699,7 @@
   { "USE_SYSLOG", "OFF", 0, "Log Errors to syslog file" },
 #endif /* USE_SYSLOG */
 
-#ifdef USE_UH
   { "USE_UH", "ON", 0, "Include user@host for BAN_INFO" },
-#else
-  { "USE_UH", "OFF", 0, "Include user@host for BAN_INFO" },
-#endif /* USE_UH */
 
 #ifdef WARN_NO_NLINE
   { "WARN_NO_NLINE", "ON", 0, "Show Operators of Servers without an N: line" },
@@ -777,6 +732,68 @@
 #else
   { "ZIP_LINKS", "OFF", 0, "Compress Server to Server Links" },
 #endif /* ZIP_LINKS */
+
+  { "FDF_ONLY", "ON", 0, "Only Link to Other +FDF Servers" },
+
+#ifdef OPERS_SEE_INVISIBLE
+  { "OPERS_SEE_INVISIBLE", "ON", 0, "Operators Can See +i Users" },
+#else
+  { "OPERS_SEE_INVISIBLE", "OFF", 0, "Operators Can See +i Users" },
+#endif /* OPERS_SEE_INVISIBLE */
+
+#ifdef OPERS_SEE_PRIV
+  { "OPERS_SEE_PRIV", "ON", 0, "Operators Can See +s/+p Channels" },
+#else
+  { "OPERS_SEE_PRIV", "OFF", 0, "Operators Can See +s/+p Channels" },
+#endif /* OPERS_SEE_PRIV */
+
+#ifdef OPERS_SEE_TOPIC
+  { "OPERS_SEE_TOPIC", "ON", 0, "Operators Can See All Channel Topics" },
+#else
+  { "OPERS_SEE_TOPIC", "OFF", 0, "Operators Can See All Channel Topics" },
+#endif /* OPERS_SEE_TOPIC */
+
+#ifdef REMOTE_WHOIS
+  { "REMOTE_WHOIS", "ON", 0, "Show Remote /Whois Warnings" },
+#else
+  { "REMOTE_WHOIS", "OFF", 0, "Show Remote /Whois Warnings" },
+#endif /* REMOTE_WHOIS */
+
+#ifdef INFO_OPER_ONLY
+  { "INFO_OPER_ONLY", "ON", 0, "Only Opers Can /Info" },
+#else
+  { "INFO_OPER_ONLY", "OFF", 0, "Only Opers Can /Info" },
+#endif
+
+#ifdef CHECK_CLONE
+  { "CHECK_CLONE", "ON", 0, "Network-Wide Clonebot Checking" },
+#else
+  { "CHECK_CLONE", "OFF", 0, "Network-Wide Clonebot Checking" },
+#endif /* CHECK_CLONE */
+
+#ifdef CHECK_CLONE_LIMIT
+  { "CHECK_CLONE_LIMIT", "", CHECK_CLONE_LIMIT, "Maximum Allowed Number of Clones" },
+#else
+  { "CHECK_CLONE_LIMIT", "NONE", 0, "Maximum Allowed Number of Clones" },
+#endif /* CHECK_CLONE_LIMIT */
+  
+#ifdef CHECK_CLONE_PERIOD
+  { "CHECK_CLONE_PERIOD", "", CHECK_CLONE_PERIOD, "Clone Check Period" },
+#else
+  { "CHECK_CLONE_PERIOD", "NONE", 0, "Clone Check Period" },
+#endif /* CHECK_CLONE_PERIOD */
+
+#ifdef CHECK_CLONE_DELAY
+  { "CHECK_CLONE_DELAY", "", CHECK_CLONE_DELAY, "Clone Check Delay" },
+#else
+  { "CHECK_CLONE_DELAY", "NONE", 0, "Clone Check Delay" },
+#endif /* CHECK_CLONE_DELAY */
+
+#ifdef ANTI_IP_SPOOF
+  { "ANTI_IP_SPOOF", "ON", 0, "Anti-IP Spoofing Code" },
+#else
+  { "ANTI_IP_SPOOF", "OFF", 0, "Anti-IP Spoofing Code" },
+#endif /* ANTI_IP_SPOOF */
 
   /*
    * since we don't want to include the world here, NULL probably
diff -uNrd ircd-hybrid-6.4.1/include/m_kline.h ircd-hyb6.4.1-FDFr5.4/include/m_kline.h
--- ircd-hybrid-6.4.1/include/m_kline.h	Tue Dec  4 03:26:49 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/m_kline.h	Wed Oct 15 20:38:25 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: m_kline.h,v 1.5 2001/12/04 08:26:49 db Exp $
+ * $Id: m_kline.h,v 1.1.1.1 2003/05/09 01:49:29 jailbird Exp $
  */
 #ifndef INCLUDED_m_kline_h
 #define INCLUDED_m_kline_h
diff -uNrd ircd-hybrid-6.4.1/include/m_operspylog.h ircd-hyb6.4.1-FDFr5.4/include/m_operspylog.h
--- ircd-hybrid-6.4.1/include/m_operspylog.h	Sat Jun 14 19:26:25 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/m_operspylog.h	Wed Oct 15 20:38:25 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: m_operspylog.h,v 1.1 2003/06/14 23:26:25 ievil Exp $
+ * $Id: m_operspylog.h,v 1.1.1.1 2003/10/09 02:47:16 jailbird Exp $
  */
 
 #ifndef INCLUDED_OPERSPYLOG_h
diff -uNrd ircd-hybrid-6.4.1/include/motd.h ircd-hyb6.4.1-FDFr5.4/include/motd.h
--- ircd-hybrid-6.4.1/include/motd.h	Sun Jul 25 14:05:06 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/motd.h	Wed Oct 15 20:38:25 2003
@@ -1,7 +1,7 @@
 /*
  * motd.h
  *
- * $Id: motd.h,v 1.7 1999/07/25 18:05:06 tomh Exp $
+ * $Id: motd.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  */
 #ifndef INCLUDED_motd_h
 #define INCLUDED_motd_h
diff -uNrd ircd-hybrid-6.4.1/include/msg.h ircd-hyb6.4.1-FDFr5.4/include/msg.h
--- ircd-hybrid-6.4.1/include/msg.h	Sat Jun 14 19:23:39 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/msg.h	Wed Oct 15 20:38:25 2003
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: msg.h,v 1.24 2003/06/14 23:23:39 ievil Exp $
+ * $Id: msg.h,v 1.4 2003/10/09 03:49:54 jailbird Exp $
  */
 #ifndef INCLUDED_msg_h
 #define INCLUDED_msg_h
@@ -67,9 +67,11 @@
 #define MSG_WHOWAS   "WHOWAS"   /* WHOW */
 #define MSG_USER     "USER"     /* USER */
 #define MSG_NICK     "NICK"     /* NICK */
+#define MSG_SNICK    "SNICK"    /* SNIC */
 #define MSG_SERVER   "SERVER"   /* SERV */
 #define MSG_LIST     "LIST"     /* LIST */
 #define MSG_TOPIC    "TOPIC"    /* TOPI */
+#define MSG_STOPIC   "STOPIC"   /* STOP */
 #define MSG_INVITE   "INVITE"   /* INVI */
 #define MSG_VERSION  "VERSION"  /* VERS */
 #define MSG_QUIT     "QUIT"     /* QUIT */
@@ -119,6 +121,9 @@
 #define MSG_HTM      "HTM"      /* HTM */
 #define MSG_SET      "SET"      /* SET */
 
+#ifdef IDLE_RESET
+#define MSG_IDLE     "IDLE"     /* IDLE */
+#endif
 #define MSG_GLINE    "GLINE"    /* GLINE */
 #define MSG_UNGLINE  "UNGLINE"  /* UNGLINE */
 
@@ -164,6 +169,7 @@
 #endif  /* IDLE_FROM_MSG */
 
   { MSG_NICK,    m_nick,     0, MAXPARA, 1, 1, 0, 0L },
+  { MSG_SNICK,   m_snick,    0, MAXPARA, 1, 0, 0, 0L },
   { MSG_NOTICE,  m_notice,   0, MAXPARA, 1, 0, 0, 0L },
   { MSG_JOIN,    m_join,     0, MAXPARA, 1, 0, 0, 0L },
   { MSG_MODE,    m_mode,     0, MAXPARA, 1, 0, 0, 0L },
@@ -171,6 +177,7 @@
   { MSG_PART,    m_part,     0, MAXPARA, 1, 0, 0, 0L },
   { MSG_KNOCK,   m_knock,    0, MAXPARA, 1, 0, 0, 0L },
   { MSG_TOPIC,   m_topic,    0, MAXPARA, 1, 0, 0, 0L },
+  { MSG_STOPIC,  m_stopic,   0, MAXPARA, 1, 0, 0, 0L },
   { MSG_INVITE,  m_invite,   0, MAXPARA, 1, 0, 0, 0L },
   { MSG_KICK,    m_kick,     0, MAXPARA, 1, 0, 0, 0L },
   { MSG_WALLOPS, m_wallops,  0, MAXPARA, 1, 0, 0, 0L },
@@ -182,7 +189,12 @@
 #ifdef IDLE_FROM_MSG
 
   /* Only m_private has reset idle flag set */
+#ifdef ANTI_IP_SPOOF
+  /* if ANTI_IP_SPOOF, allow user to PONG even when not registered */
+  { MSG_PONG,    m_pong,     0, MAXPARA, 1, 1, 0, 0L },
+#else
   { MSG_PONG,    m_pong,     0, MAXPARA, 1, 0, 0, 0L },
+#endif
   { MSG_PING,    m_ping,     0, MAXPARA, 1, 0, 0, 0L },
 
 #else
@@ -254,6 +266,9 @@
   { MSG_DIE,    m_die,       0, MAXPARA, 1, 0, 0, 0L },
   { MSG_HTM,    m_htm,       0, MAXPARA, 1, 0, 0, 0L },
   { MSG_SET,    m_set,       0, MAXPARA, 1, 0, 0, 0L },
+#ifdef IDLE_RESET
+  { MSG_IDLE,   m_idle,      0, MAXPARA, 1, 0, 0, 0L },
+#endif
   { MSG_TESTLINE, m_testline,0, MAXPARA, 1, 0, 0, 0L },
   { MSG_ENCAP,  ms_encap,    0, MAXPARA, 1, 0, 0, 0L },
   { MSG_OPERSPY, ms_operspylog, 0, MAXPARA, 1, 0, 0, 0L },
diff -uNrd ircd-hybrid-6.4.1/include/mtrie_conf.h ircd-hyb6.4.1-FDFr5.4/include/mtrie_conf.h
--- ircd-hybrid-6.4.1/include/mtrie_conf.h	Sat Jul 31 19:45:48 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/mtrie_conf.h	Wed Oct 15 20:38:25 2003
@@ -1,4 +1,4 @@
-/* $Id: mtrie_conf.h,v 1.6 1999/07/31 23:45:48 db Exp $ */
+/* $Id: mtrie_conf.h,v 1.2 2003/05/15 21:46:53 jailbird Exp $ */
 #ifndef INCLUDED_mtrie_conf_h
 #define INCLUDED_mtrie_conf_h
 
@@ -18,6 +18,7 @@
 extern void report_mtrie_conf_links(struct Client *,int);
 extern void clear_mtrie_conf_links(void);
 extern void report_matching_host_klines(struct Client *,char *);
+extern int IsSLine(struct Client *);
 
 
 /* As ircd only allow 63 characters in a hostname, 100 is more than enough */
diff -uNrd ircd-hybrid-6.4.1/include/numeric.h ircd-hyb6.4.1-FDFr5.4/include/numeric.h
--- ircd-hybrid-6.4.1/include/numeric.h	Sat Aug 16 15:58:33 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/numeric.h	Wed Oct 15 20:38:25 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: numeric.h,v 1.22 2003/08/16 19:58:33 ievil Exp $
+ * $Id: numeric.h,v 1.4 2003/10/09 03:49:54 jailbird Exp $
  */
 #ifndef INCLUDED_numeric_h
 #define INCLUDED_numeric_h
@@ -24,9 +24,7 @@
 #include "config.h"
 #endif
 
-#ifdef TOPIC_INFO
 # define RPL_TOPICWHOTIME 333
-#endif
 
 /*
  * -- Avalon -- 1 Sep 1992
@@ -298,6 +296,7 @@
 #define ERR_TOOMANYCHANNELS  405
 #define ERR_WASNOSUCHNICK    406
 #define ERR_TOOMANYTARGETS   407
+#define ERR_NOCOLORSONCHAN   408
 #define ERR_NOORIGIN         409
 
 #define ERR_NORECIPIENT      411
@@ -316,6 +315,7 @@
 #define ERR_NICKCOLLISION    436
 #define ERR_UNAVAILRESOURCE  437
 #define ERR_NICKTOOFAST	     438	/* We did it first Undernet! ;) db */
+#define ERR_BANNICKCHANGE    439
 
 #define ERR_USERNOTINCHANNEL 441
 #define ERR_NOTONCHANNEL     442
diff -uNrd ircd-hybrid-6.4.1/include/packet.h ircd-hyb6.4.1-FDFr5.4/include/packet.h
--- ircd-hybrid-6.4.1/include/packet.h	Sat Sep  4 16:21:08 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/packet.h	Wed Oct 15 20:38:25 2003
@@ -19,7 +19,7 @@
  *
  * "packet.h". - Headers file.
  *
- * $Id: packet.h,v 1.2 1999/09/04 20:21:08 lusky Exp $
+ * $Id: packet.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *
  */
 #ifndef INCLUDED_packet_h
diff -uNrd ircd-hybrid-6.4.1/include/parse.h ircd-hyb6.4.1-FDFr5.4/include/parse.h
--- ircd-hybrid-6.4.1/include/parse.h	Thu Jun 12 19:05:54 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/parse.h	Wed Oct 15 20:38:25 2003
@@ -20,7 +20,7 @@
  * "parse.h". - Headers file.
  *
  *
- * $Id: parse.h,v 1.4 2003/06/12 23:05:54 ievil Exp $
+ * $Id: parse.h,v 1.1.1.2 2003/10/09 02:47:17 jailbird Exp $
  *
  */
 #ifndef INCLUDED_parse_h_h
diff -uNrd ircd-hybrid-6.4.1/include/patchlevel.h ircd-hyb6.4.1-FDFr5.4/include/patchlevel.h
--- ircd-hybrid-6.4.1/include/patchlevel.h	Wed Sep  3 18:11:21 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/patchlevel.h	Sun Oct 26 13:00:41 2003
@@ -15,9 +15,9 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: patchlevel.h,v 1.160 2003/09/03 22:11:21 lusky Exp $
+ * $Id: patchlevel.h,v 1.9 2003/10/09 03:49:54 jailbird Exp $
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL    "2.8/hybrid-6.4.1"
+#define PATCHLEVEL    "2.8.21/digi+th/hybrid-6.4.1/FDFr5.4"
 #endif
diff -uNrd ircd-hybrid-6.4.1/include/res.h ircd-hyb6.4.1-FDFr5.4/include/res.h
--- ircd-hybrid-6.4.1/include/res.h	Sun May  4 22:39:06 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/res.h	Wed Oct 15 20:38:25 2003
@@ -1,5 +1,5 @@
 /*
- * $Id: res.h,v 1.19 2003/05/05 02:39:06 db Exp $ 
+ * $Id: res.h,v 1.1.1.2 2003/10/09 02:47:16 jailbird Exp $ 
  * New res.h
  * Aaron Sethman <androsyn@ratbox.org>
  */
diff -uNrd ircd-hybrid-6.4.1/include/restart.h ircd-hyb6.4.1-FDFr5.4/include/restart.h
--- ircd-hybrid-6.4.1/include/restart.h	Thu Oct  5 23:00:57 2000
+++ ircd-hyb6.4.1-FDFr5.4/include/restart.h	Wed Oct 15 20:38:25 2003
@@ -1,5 +1,5 @@
 /*
- * $Id: restart.h,v 1.4 2000/10/06 03:00:57 lusky Exp $ 
+ * $Id: restart.h,v 1.1.1.1 2003/05/09 01:49:29 jailbird Exp $ 
  */
 
 #ifndef INCLUDED_restart_h
diff -uNrd ircd-hybrid-6.4.1/include/s_auth.h ircd-hyb6.4.1-FDFr5.4/include/s_auth.h
--- ircd-hybrid-6.4.1/include/s_auth.h	Tue Jul 17 21:37:06 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/s_auth.h	Wed Oct 15 20:38:25 2003
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: s_auth.h,v 1.3 2001/07/18 01:37:06 lusky Exp $
+ *   $Id: s_auth.h,v 1.1.1.1 2003/05/09 01:49:29 jailbird Exp $
  */
 #ifndef INCLUDED_s_auth_h
 #define INCLUDED_s_auth_h
diff -uNrd ircd-hybrid-6.4.1/include/s_bsd.h ircd-hyb6.4.1-FDFr5.4/include/s_bsd.h
--- ircd-hybrid-6.4.1/include/s_bsd.h	Tue Dec  4 01:40:30 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/s_bsd.h	Wed Oct 15 20:38:25 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: s_bsd.h,v 1.16 2001/12/04 06:40:30 db Exp $
+ *   $Id: s_bsd.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *
  */
 #ifndef INCLUDED_s_bsd_h
diff -uNrd ircd-hybrid-6.4.1/include/s_conf.h ircd-hyb6.4.1-FDFr5.4/include/s_conf.h
--- ircd-hybrid-6.4.1/include/s_conf.h	Sat Aug 16 15:10:44 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/s_conf.h	Wed Oct 15 20:38:25 2003
@@ -18,7 +18,7 @@
  *   You should have received a copy of the GNU General Public License
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *   $Id: s_conf.h,v 1.68 2003/08/16 19:10:44 ievil Exp $
+ *   $Id: s_conf.h,v 1.4 2003/10/09 03:49:54 jailbird Exp $
  */
 
 #ifndef INCLUDED_config_h
@@ -94,6 +94,7 @@
 #define CONF_HUB                0x2000
 #define CONF_ELINE              0x4000
 #define CONF_FLINE              0x8000
+#define CONF_SLINE		0x10000
 #define CONF_DLINE              0x20000
 #define CONF_XLINE              0x40000
 #define CONF_ULINE              0x80000
@@ -119,7 +120,6 @@
 #define CONF_FLAGS_IDLE_LINED           0x0100
 #endif
 
-#define CONF_FLAGS_DO_IDENTD            0x0200
 #define CONF_FLAGS_ALLOW_AUTO_CONN      0x0400
 #define CONF_FLAGS_ZIP_LINK             0x0800
 #define CONF_FLAGS_SPOOF_IP             0x1000
@@ -144,7 +144,6 @@
 #define IsConfIdlelined(x)      ((x)->flags & CONF_FLAGS_IDLE_LINED)
 #endif
 
-#define IsConfDoIdentd(x)       ((x)->flags & CONF_FLAGS_DO_IDENTD)
 #define IsConfDoSpoofIp(x)      ((x)->flags & CONF_FLAGS_SPOOF_IP)
 #ifdef LITTLE_I_LINES
 #define IsConfLittleI(x)        ((x)->flags & CONF_FLAGS_LITTLE_I_LINE)
@@ -172,10 +171,7 @@
   char *configfile;
   char *klinefile;
   char *dlinefile;
-
-#ifdef GLINES
   char  *glinefile;
-#endif
 
   MessageFile helpfile;
   MessageFile motd;
diff -uNrd ircd-hybrid-6.4.1/include/s_debug.h ircd-hyb6.4.1-FDFr5.4/include/s_debug.h
--- ircd-hybrid-6.4.1/include/s_debug.h	Sat Jul 31 00:13:51 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/s_debug.h	Wed Oct 15 20:38:25 2003
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: s_debug.h,v 1.7 1999/07/31 04:13:51 tomh Exp $
+ *   $Id: s_debug.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  */
 #ifndef INCLUDED_s_debug_h
 #define INCLUDED_s_debug_h
diff -uNrd ircd-hybrid-6.4.1/include/s_log.h ircd-hyb6.4.1-FDFr5.4/include/s_log.h
--- ircd-hybrid-6.4.1/include/s_log.h	Mon Jun 23 23:57:14 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/s_log.h	Wed Oct 15 20:38:25 2003
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: s_log.h,v 1.7 2003/06/24 03:57:14 ievil Exp $
+ * $Id: s_log.h,v 1.1.1.2 2003/10/09 02:47:16 jailbird Exp $
  */
 #ifndef INCLUDED_s_log_h
 #define INCLUDED_s_log_h
diff -uNrd ircd-hybrid-6.4.1/include/s_misc.h ircd-hyb6.4.1-FDFr5.4/include/s_misc.h
--- ircd-hybrid-6.4.1/include/s_misc.h	Sat Aug 16 15:58:33 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/s_misc.h	Wed Oct 15 20:38:25 2003
@@ -1,5 +1,5 @@
 /*
- * $Id: s_misc.h,v 1.9 2003/08/16 19:58:33 ievil Exp $ 
+ * $Id: s_misc.h,v 1.1.1.2 2003/10/09 02:47:17 jailbird Exp $ 
  */
 
 #ifndef INCLUDED_s_misc_h
diff -uNrd ircd-hybrid-6.4.1/include/s_serv.h ircd-hyb6.4.1-FDFr5.4/include/s_serv.h
--- ircd-hybrid-6.4.1/include/s_serv.h	Sat Aug 16 15:58:33 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/s_serv.h	Sun Oct 26 13:01:56 2003
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: s_serv.h,v 1.18 2003/08/16 19:58:33 ievil Exp $
+ * $Id: s_serv.h,v 1.4 2003/10/09 03:49:54 jailbird Exp $
  *
  */
 #ifndef INCLUDED_serv_h
@@ -49,6 +49,7 @@
 #define CAP_UNKLN       0x00000080      /* Can do remote UNkline */
 #define CAP_ENCAP       0x00000100      /* Can do command encapsulation */
 #define CAP_IE          0x00000200      /* Can do channel +I exemptions */
+#define CAP_FDF         0x00000400      /* Supports the FDF protocol */
 
 #define DoesCAP(x)      ((x)->caps)
 
diff -uNrd ircd-hybrid-6.4.1/include/s_stats.h ircd-hyb6.4.1-FDFr5.4/include/s_stats.h
--- ircd-hybrid-6.4.1/include/s_stats.h	Fri Jul 30 16:14:04 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/s_stats.h	Wed Oct 15 20:38:25 2003
@@ -18,7 +18,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: s_stats.h,v 1.1 1999/07/30 20:14:04 tomh Exp $
+ * $Id: s_stats.h,v 1.2 2003/05/17 05:47:58 jailbird Exp $
  */
 #ifndef INCLUDED_s_stats_h
 #define INCLUDED_s_stats_h
@@ -65,6 +65,9 @@
 #ifdef FLUD
   unsigned int    is_flud;        /* users/channels flood protected */
 #endif /* FLUD */
+#ifdef ANTI_IP_SPOOF
+  unsigned int    is_ipspoof;     /* IP Spoofers Caught */
+#endif
 };
 
 extern struct ServerStatistics* ServerStats;
diff -uNrd ircd-hybrid-6.4.1/include/s_user.h ircd-hyb6.4.1-FDFr5.4/include/s_user.h
--- ircd-hybrid-6.4.1/include/s_user.h	Wed Oct 17 11:13:31 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/s_user.h	Wed Oct 15 20:38:25 2003
@@ -19,7 +19,7 @@
  *
  * "s_user.h". - Headers file.
  *
- * $Id: s_user.h,v 1.10 2001/10/17 15:13:31 db Exp $
+ * $Id: s_user.h,v 1.2 2003/05/17 05:47:58 jailbird Exp $
  *
  */
 #ifndef INCLUDED_s_user_h
@@ -40,6 +40,7 @@
 extern void  send_umode_out (struct Client*, struct Client *, int);
 extern int   show_lusers(struct Client *, struct Client *, int, char **);
 extern void  show_opers(struct Client* client);
+extern int   register_user(struct Client *, struct Client *, char *, char *);
 
 
 #endif
diff -uNrd ircd-hybrid-6.4.1/include/s_zip.h ircd-hyb6.4.1-FDFr5.4/include/s_zip.h
--- ircd-hybrid-6.4.1/include/s_zip.h	Thu Dec  6 23:13:27 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/s_zip.h	Wed Oct 15 20:38:25 2003
@@ -19,7 +19,7 @@
  *
  * "s_zip.h". - Headers file.
  *
- * $Id: s_zip.h,v 1.3 2001/12/07 04:13:27 jdc Exp $
+ * $Id: s_zip.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *
  */
 #ifndef INCLUDED_s_zip_h
diff -uNrd ircd-hybrid-6.4.1/include/scache.h ircd-hyb6.4.1-FDFr5.4/include/scache.h
--- ircd-hybrid-6.4.1/include/scache.h	Wed Jul 21 22:44:22 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/scache.h	Wed Oct 15 20:38:25 2003
@@ -19,7 +19,7 @@
  *
  * "scache.h". - Headers file.
  *
- * $Id: scache.h,v 1.1 1999/07/22 02:44:22 db Exp $
+ * $Id: scache.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *
  */
 #ifndef INCLUDED_scache_h
diff -uNrd ircd-hybrid-6.4.1/include/send.h ircd-hyb6.4.1-FDFr5.4/include/send.h
--- ircd-hybrid-6.4.1/include/send.h	Thu Jun 12 19:05:54 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/send.h	Wed Oct 15 20:38:25 2003
@@ -2,7 +2,7 @@
  * send.h
  * Copyright (C) 1999 Patrick Alken
  *
- * $Id: send.h,v 1.18 2003/06/12 23:05:54 ievil Exp $
+ * $Id: send.h,v 1.1.1.2 2003/10/09 02:47:17 jailbird Exp $
  */
 
 #ifndef INCLUDED_send_h
diff -uNrd ircd-hybrid-6.4.1/include/sprintf_irc.h ircd-hyb6.4.1-FDFr5.4/include/sprintf_irc.h
--- ircd-hybrid-6.4.1/include/sprintf_irc.h	Sat Dec  8 12:56:52 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/sprintf_irc.h	Wed Oct 15 20:38:25 2003
@@ -1,5 +1,5 @@
 /*
- * $Id: sprintf_irc.h,v 1.3 2001/12/08 17:56:52 db Exp $ 
+ * $Id: sprintf_irc.h,v 1.1.1.1 2003/05/09 01:49:29 jailbird Exp $ 
  */
 
 #ifndef SPRINTF_IRC
diff -uNrd ircd-hybrid-6.4.1/include/struct.h ircd-hyb6.4.1-FDFr5.4/include/struct.h
--- ircd-hybrid-6.4.1/include/struct.h	Sun Aug  1 03:19:44 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/struct.h	Wed Oct 15 20:38:25 2003
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: struct.h,v 1.85 1999/08/01 07:19:44 tomh Exp $
+ * $Id: struct.h,v 1.2 2003/05/17 05:47:58 jailbird Exp $
  */
 #ifndef INCLUDED_struct_h
 #define INCLUDED_struct_h
@@ -46,9 +46,7 @@
     struct Client   *cptr;
     struct Channel  *chptr;
     struct ConfItem *aconf;
-#ifdef BAN_INFO
     struct Ban   *banptr;
-#endif
     char      *cp;
   } value;
   int   flags;
diff -uNrd ircd-hybrid-6.4.1/include/whowas.h ircd-hyb6.4.1-FDFr5.4/include/whowas.h
--- ircd-hybrid-6.4.1/include/whowas.h	Thu Oct  5 23:00:58 2000
+++ ircd-hyb6.4.1-FDFr5.4/include/whowas.h	Wed Oct 15 20:38:25 2003
@@ -18,7 +18,7 @@
  */
 
 /*
- * $Id: whowas.h,v 1.6 2000/10/06 03:00:58 lusky Exp $
+ * $Id: whowas.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  */
 #ifndef INCLUDED_whowas_h
 #define INCLUDED_whowas_h
diff -uNrd ircd-hybrid-6.4.1/src/.depend ircd-hyb6.4.1-FDFr5.4/src/.depend
--- ircd-hybrid-6.4.1/src/.depend	Thu Aug 21 19:59:26 2003
+++ ircd-hyb6.4.1-FDFr5.4/src/.depend	Wed Oct 15 20:38:22 2003
@@ -12,9 +12,9 @@
   ../include/client.h ../include/dbuf.h ../include/common.h \
   ../include/flud.h ../include/hash.h ../include/irc_string.h \
   ../include/ircd.h ../include/list.h ../include/numeric.h \
-  ../include/s_serv.h ../include/s_user.h ../include/send.h \
-  ../include/struct.h ../include/whowas.h ../include/s_conf.h \
-  ../include/fileio.h ../include/motd.h
+  ../include/s_serv.h ../include/s_user.h ../include/s_conf.h \
+  ../include/fileio.h ../include/motd.h ../include/send.h \
+  ../include/struct.h ../include/whowas.h
 class.o: class.c ../include/class.h ../include/client.h \
   ../include/config.h ../include/setup.h ../include/ircd_defs.h \
   ../include/dbuf.h ../include/common.h ../include/ircd.h \
@@ -30,8 +30,8 @@
   ../include/numeric.h ../include/res.h ../include/fileio.h \
   ../adns/adns.h ../include/s_bsd.h ../include/s_conf.h ../include/motd.h \
   ../include/s_log.h ../include/s_misc.h ../include/s_serv.h \
-  ../include/send.h ../include/struct.h ../include/whowas.h \
-  ../include/s_debug.h
+  ../include/s_stats.h ../include/send.h ../include/struct.h \
+  ../include/whowas.h ../include/s_debug.h
 dbuf.o: dbuf.c ../include/dbuf.h ../include/config.h ../include/setup.h \
   ../include/common.h ../include/irc_string.h ../include/ircd_defs.h
 dline_conf.o: dline_conf.c ../include/dline_conf.h ../include/class.h \
@@ -142,6 +142,11 @@
   ../include/setup.h ../include/client.h ../include/ircd_defs.h \
   ../include/dbuf.h ../include/common.h ../include/irc_string.h \
   ../include/ircd.h ../include/numeric.h ../include/send.h
+m_idle.o: m_idle.c ../include/m_commands.h ../include/config.h \
+  ../include/setup.h ../include/client.h ../include/ircd_defs.h \
+  ../include/dbuf.h ../include/ircd.h ../include/motd.h ../include/msg.h \
+  ../include/numeric.h ../include/send.h ../include/s_conf.h \
+  ../include/fileio.h
 m_info.o: m_info.c ../include/m_commands.h ../include/config.h \
   ../include/setup.h ../include/m_info.h ../include/channel.h \
   ../include/ircd_defs.h ../include/client.h ../include/dbuf.h \
@@ -207,7 +212,8 @@
   ../include/setup.h ../include/m_operspylog.h ../include/channel.h \
   ../include/ircd_defs.h ../include/client.h ../include/dbuf.h \
   ../include/hash.h ../include/irc_string.h ../include/ircd.h \
-  ../include/numeric.h ../include/s_user.h ../include/send.h
+  ../include/numeric.h ../include/s_user.h ../include/send.h \
+  ../include/struct.h ../include/list.h
 m_operspylog.o: m_operspylog.c ../include/m_operspylog.h \
   ../include/m_commands.h ../include/config.h ../include/setup.h \
   ../include/client.h ../include/ircd_defs.h ../include/dbuf.h \
@@ -234,7 +240,8 @@
 m_pong.o: m_pong.c ../include/m_commands.h ../include/config.h \
   ../include/setup.h ../include/client.h ../include/ircd_defs.h \
   ../include/dbuf.h ../include/ircd.h ../include/numeric.h \
-  ../include/send.h ../include/channel.h ../include/irc_string.h
+  ../include/send.h ../include/channel.h ../include/s_stats.h \
+  ../include/s_user.h ../include/irc_string.h
 m_quit.o: m_quit.c ../include/m_commands.h ../include/config.h \
   ../include/setup.h ../include/client.h ../include/ircd_defs.h \
   ../include/dbuf.h ../include/ircd.h ../include/numeric.h \
@@ -305,14 +312,15 @@
   ../include/ircd.h ../include/mtrie_conf.h ../include/numeric.h \
   ../include/s_conf.h ../include/motd.h ../include/s_log.h \
   ../include/s_misc.h ../include/s_serv.h ../include/send.h \
-  ../include/struct.h
+  ../include/struct.h ../include/m_gline.h
 m_ungline.o: m_ungline.c ../include/m_commands.h ../include/config.h \
   ../include/setup.h ../include/channel.h ../include/ircd_defs.h \
   ../include/client.h ../include/dbuf.h ../include/common.h \
   ../include/dline_conf.h ../include/fileio.h ../include/irc_string.h \
   ../include/ircd.h ../include/mtrie_conf.h ../include/numeric.h \
   ../include/s_conf.h ../include/motd.h ../include/s_log.h \
-  ../include/s_misc.h ../include/send.h ../include/struct.h
+  ../include/s_misc.h ../include/send.h ../include/struct.h \
+  ../include/m_gline.h
 m_undline.o: m_undline.c ../include/m_commands.h ../include/config.h \
   ../include/setup.h ../include/channel.h ../include/ircd_defs.h \
   ../include/client.h ../include/dbuf.h ../include/common.h \
@@ -365,7 +373,7 @@
   ../include/motd.h ../include/send.h ../include/struct.h
 numeric.o: numeric.c ../include/numeric.h ../include/config.h \
   ../include/setup.h ../include/irc_string.h ../include/ircd_defs.h \
-  ../include/common.h messages.tab
+  ../include/common.h messages_cust.tab
 packet.o: packet.c ../include/packet.h ../include/client.h \
   ../include/config.h ../include/setup.h ../include/ircd_defs.h \
   ../include/dbuf.h ../include/common.h ../include/ircd.h \
diff -uNrd ircd-hybrid-6.4.1/src/adns.c ircd-hyb6.4.1-FDFr5.4/src/adns.c
--- ircd-hybrid-6.4.1/src/adns.c	Mon Jun 23 23:57:16 2003
+++ ircd-hyb6.4.1-FDFr5.4/src/adns.c	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * $Id: adns.c,v 1.14 2003/06/24 03:57:16 ievil Exp $
+ * $Id: adns.c,v 1.1.1.2 2003/10/09 02:47:14 jailbird Exp $
  * adns.c  functions to enter libadns 
  *
  * Written by Aaron Sethman <androsyn@ratbox.org>
diff -uNrd ircd-hybrid-6.4.1/src/blalloc.c ircd-hyb6.4.1-FDFr5.4/src/blalloc.c
--- ircd-hybrid-6.4.1/src/blalloc.c	Mon Jun 23 23:57:16 2003
+++ ircd-hyb6.4.1-FDFr5.4/src/blalloc.c	Wed Oct 15 20:38:22 2003
@@ -4,7 +4,7 @@
  * Owner:  Wohali (Joan Touzet)
  *
  * Modified 2001/11/29 for mmap() support by Aaron Sethman <androsyn@ratbox.org>
- * $Id: blalloc.c,v 1.25 2003/06/24 03:57:16 ievil Exp $
+ * $Id: blalloc.c,v 1.1.1.2 2003/10/09 02:47:13 jailbird Exp $
  */
 #include "config.h"
 #include "blalloc.h"
